package metier;

import java.util.ArrayList;

import jakarta.persistence.*;

@Entity
public class Session {

    @Id
    private int codePIN;

    @OneToMany
    private ArrayList<Quizz> activities;

    @ManyToMany
    private ArrayList<Utilisateur> utilisateurs;

    public Session(){
    }

    public void setCodePIN(int codePIN){
        this.codePIN = codePIN;
    }

    public int getCodePIN(){
        return this.codePIN;
    }

    public void setActivities(ArrayList<Quizz> activities){
        this.activities = activities;
    }

    public ArrayList<Quizz> getActivities(){
        return this.activities;
    }

    public void setUtilisateurs(ArrayList<Utilisateur> utilisateurs){
        this.utilisateurs = utilisateurs;
    }

    public ArrayList<Utilisateur> getUtilisateurs() {
        return this.utilisateurs;
    }


}